import { Collection } from 'discord.js';
import Connection, { Endpoint } from './Connection';
export declare type YAMLConnections = {
    [name: string]: Endpoint[] | string;
};
export default class ConnectionsManager extends Collection<string, Connection> {
    load(): Promise<void>;
    static validateEndpoints(endpoints: Endpoint[]): Promise<Endpoint[]>;
    static createAutomaticDiscordChannel(threadID: string, name: string): Promise<Connection>;
    getWithCreateFallback(threadID: string, name: string): Promise<void | Connection>;
    getWith(id: string): Connection;
    hasWith(id: string): boolean;
    get(name: string): Connection;
    hasEndpoint(id: string): boolean;
    save(): Promise<void>;
}
