"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function channel({ type, name, id, parent }) {
    return {
        type, name, id,
        category: parent ? parent.id : null
    };
}
function member({ nickname, user: { discriminator, username } }) {
    return {
        nickname, username, discriminator
    };
}
function guildWithChannels({ name, id, channels }) {
    return {
        name, id,
        channels: channels.array().map(channel)
    };
}
function guildWithUsers({ name, id, members }) {
    return {
        name, id,
        users: members.array().map(member)
    };
}
exports.default = async (app) => {
    app.get('/channels', async (request, reply) => {
        return discord.client.guilds.array().map(guildWithChannels);
    });
    app.get('/users', async (request, reply) => {
        return discord.client.guilds.array().map(guildWithUsers);
    });
    app.get('/guilds/:guild/channels', async (request, reply) => {
        if (!discord.client.guilds.has(request.params.guild))
            return reply.sendError(404, 'Guild not found');
        return discord.client.guilds.get(request.params.guild).channels.array().map(channel);
    });
};
