"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Command_1 = __importDefault(require("./Command"));
const Connection_1 = __importDefault(require("../Connection"));
exports.default = new Command_1.default(async ([name, ...endpoints]) => {
    if (connections.has(name))
        return `Connection \`${name}\` already exists!`;
    if (endpoints.length) {
        const connection = new Connection_1.default(name);
        for (let endpoint of endpoints) {
            if (discord.client.channels.has(endpoint)) {
                await connection.addEndpoint({
                    id: endpoint,
                    type: 'discord'
                });
            }
            else if (messenger.threads.has(endpoint)) {
                await connection.addEndpoint({
                    id: endpoint,
                    type: 'messenger'
                });
            }
            else {
                return `Channel/chat ${endpoint} not found!
If it's a Messenger chat and bot was added to it while running, try restarting.`;
            }
        }
        await connection.save();
    }
    else {
        await new Connection_1.default(name).save();
    }
    return `Connection \`${name}\` was added successfully!`;
}, {
    argc: 1,
    allowMoreArguments: true,
    usage: `add <connection name> [...IDs of threads/channels]`,
    example: `add test-connection 1234 5678`
});
