"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Command_1 = __importDefault(require("./Command"));
exports.default = new Command_1.default(async ([name]) => {
    if (!connections.has(name))
        return `Connection \`${name}\` not found!`;
    const connection = connections.get(name);
    if (connection.disabled)
        return `Connection \`${name}\` is already disabled!`;
    await connection.disable().save();
    return `Connection \`${name}\` is now disabled!`;
}, {
    argc: 1,
    usage: 'disable <connection name>',
    example: 'disable connection-test'
});
